Fetch market lineage
curl --request GET \
--url https://github.com/openpx-trade/openpx/v1/markets/fetch_market_lineageimport requests
url = "https://github.com/openpx-trade/openpx/v1/markets/fetch_market_lineage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://github.com/openpx-trade/openpx/v1/markets/fetch_market_lineage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"market": {
"exchange": "<string>",
"openpx_id": "<string>",
"ticker": "<string>",
"title": "<string>",
"volume": 123,
"best_ask": 123,
"best_bid": 123,
"close_time": "2023-11-07T05:31:56Z",
"condition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_ticker": "<string>",
"last_trade_price": 123,
"min_order_size": 123,
"neg_risk": true,
"neg_risk_market_id": "<string>",
"numeric_id": "<string>",
"open_time": "2023-11-07T05:31:56Z",
"outcomes": [],
"result": "<string>",
"rules": "<string>",
"settlement_time": "2023-11-07T05:31:56Z",
"tick_size": 123,
"volume_24h": 123
},
"event": {
"ticker": "<string>",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"end_ts": "2023-11-07T05:31:56Z",
"last_updated_ts": "2023-11-07T05:31:56Z",
"market_tickers": [],
"mutually_exclusive": true,
"numeric_id": "<string>",
"open_interest": 123,
"series_ticker": "<string>",
"start_ts": "2023-11-07T05:31:56Z",
"status": "<string>",
"volume": 123
},
"series": {
"ticker": "<string>",
"title": "<string>",
"category": "<string>",
"fee_type": "<string>",
"frequency": "<string>",
"last_updated_ts": "2023-11-07T05:31:56Z",
"numeric_id": "<string>",
"settlement_sources": [],
"tags": [],
"volume": 123
}
}{
"message": "<string>"
}Markets
fetch_market_lineage
Fetch one market plus its parent event and series in a single round-trip.
GET
/
v1
/
markets
/
fetch_market_lineage
Fetch market lineage
Fetch one market plus its parent event and series in a single round-trip.
Query Parameters
Response
Success.
A market plus its parent event and series.
The market itself.
Show child attributes
Show child attributes
Parent event; null if the market is standalone or the parent is missing upstream.
Show child attributes
Show child attributes
Parent series; null if the event is standalone or the parent is missing upstream.
Show child attributes
Show child attributes
⌘I

